"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.journaly = exports.PersistenceHandler = exports.Handler = exports.eventdatabase = exports.read = void 0;
/* eslint-disable @typescript-eslint/ban-ts-comment */
/* eslint-disable @typescript-eslint/no-explicit-any */
// file deepcode ignore no-any: any needed
// file deepcode ignore object-literal-shorthand: argh
const flexiblepersistence_1 = require("flexiblepersistence");
Object.defineProperty(exports, "Handler", { enumerable: true, get: function () { return flexiblepersistence_1.Handler; } });
const backapi_1 = require("backapi");
const testService_1 = __importDefault(require("./testService"));
const testDAO_1 = __importDefault(require("./testDAO"));
const databaseInfos_1 = require("./databaseInfos");
const service_1 = require("@flexiblepersistence/service");
const dao_1 = require("@flexiblepersistence/dao");
const pgsql_1 = require("@flexiblepersistence/pgsql");
const journaly_1 = require("journaly");
class PersistenceHandler extends backapi_1.DatabaseHandler {
}
exports.PersistenceHandler = PersistenceHandler;
const journaly = journaly_1.Journaly.newJournaly();
exports.journaly = journaly;
const database = new flexiblepersistence_1.PersistenceInfo(databaseInfos_1.readInfo, journaly);
const eventdatabase = new flexiblepersistence_1.PersistenceInfo(databaseInfos_1.eventInfo, journaly);
exports.eventdatabase = eventdatabase;
const pool = new pgsql_1.PGSQL(database);
const dAO = new dao_1.DAOPersistence(pool, {
    test: new testDAO_1.default(),
});
const read = new service_1.ServiceHandler(database, {
    test: new testService_1.default(),
}, dAO);
exports.read = read;
//# sourceMappingURL=dBHandler.js.map